require 'time'

# Patches for Date and Time so they return
# valid ISO format for JSON serialization.

# @private
class Date # :nodoc:
  def to_json(*)
    return "\"#{iso8601}\""
  end
end

# @private
class Time # :nodoc:
  def to_json(*)
    return "\"#{utc.iso8601(3)}\""
  end
end

# @private
class DateTime # :nodoc:
  def to_json(*)
    return "\"#{to_time.utc.iso8601(3)}\""
  end
end
