module UU
  module OS
    module Util

      # Module providing methods for automated loading of scripts.
      # @private 
      module ScriptLoader # :nodoc:

        # Loads (requires) all scripts within given directories.
        # @param [Array<String>] dirs Directories to be scanned.
        # @return [void]
        def load_scripts(*dirs)
          ScriptLoader.load_scripts(*dirs)
        end

        # @see #load_scripts
        # @private
        def self.load_scripts(*dirs) # :nodoc:
          dirs.each do |dir|
            Dir["#{File.expand_path(dir).gsub('\\', '/')}/**/*.rb"].each do |file|
              require file.gsub('\\','/').split("/#{dir}/").last[0..-4]
            end
          end
        end

      end

    end
  end
end
